#!/usr/bin/perl -T
##
## Put me in ~/.irssi/scripts, and then execute the following in irssi:
##
##       /load perl
##       /script load notify
##

use strict;
use utf8;
use Irssi;
use vars qw($VERSION %IRSSI);
$VERSION = "0.02";
%IRSSI = (
    authors     => 'Luke Macken, Paul W. Frields, Haui',
    contact     => 'lewk@csh.rit.edu, stickster@gmail.com, haui45@web.de',
    name        => 'notify.pl',
    description => 'Uses dzen2 to alert user about hilighted messages',
    license     => 'GNU General Public License',
    url         => 'http://lewk.org/log/code/irssi-notify',
);

my $sig;
sub notify {
    my ($server, $summary, $message) = @_;

    # Make the message entity-safe
	my $cmd = "EXEC - -nosh  kdialogwrapper $summary      $message" ;

    $server->command($cmd);
}
 
sub print_text_notify {
    my ($dest, $text, $stripped) = @_;
    my $server = $dest->{server};

    return if (!$server || !($dest->{level} & MSGLEVEL_HILIGHT));
    notify($server, $dest->{target}, $stripped);
}

sub message_private_notify {
    my ($server, $msg, $nick, $address) = @_;

    return if (!$server);
    notify($server, "Private message from ".$nick, $msg) if ($sig==1);
    $sig=0;
}

sub dcc_request_notify {
    my ($dcc, $sendaddr) = @_;
    my $server = $dcc->{server};

    return if (!$dcc);
    notify($server, "DCC ".$dcc->{type}." request", $dcc->{nick});
}
sub test{
	$sig = 1;
}

Irssi::signal_add('print text', 'print_text_notify');
Irssi::signal_add('query created', 'test');
Irssi::signal_add('message private', 'message_private_notify');
Irssi::signal_add('dcc request', 'dcc_request_notify');
